play.db.jpa

## Annotation Type Transactional

-     @Retention(value=RUNTIME)
       @Target(value={METHOD,TYPE})
      public @interface Transactional

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `readOnly`
    `java.lang.String` | `value` Db name where to persist for multi db support

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

      Db name where to persist for multi db support
      Returns:
        The DB name
      Default:
        "default"

  - - #### readOnly

          public abstract boolean readOnly

      Default:
        false

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly